"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DxfOptions = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
const DxfOutputVersion_js_1 = require("../Enums/DxfOutputVersion.js");
const DxfFileFormat_js_1 = require("../Enums/DxfFileFormat.js");
class DxfOptions extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.DXFCadR11;
        this.version = DxfOutputVersion_js_1.DxfOutputVersion.R12;
        this.bezierPointCount = 8;
        this.convertTextBeziers = false;
        this.textAsLines = true;
        this.dxfFileFormat = DxfFileFormat_js_1.DxfFileFormat.Ascii;
    }
}
exports.DxfOptions = DxfOptions;
//# sourceMappingURL=DxfOptions.js.map