"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SvgOptions = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
const SvgColorMode_js_1 = require("../Enums/SvgColorMode.js");
class SvgOptions extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.Svg;
        this.colorType = SvgColorMode_js_1.SvgColorMode.YCbCr;
        this.textAsShapes = true;
        this.rescaleSubpixelLinewidths = true;
        this.useAbsoluteRescaling = false;
        this.minimumLinewidth = 0.25;
        this.minimumAbsoluteNonscaledLinewidth = 1;
        this.minimumRelativeLinewidthRatio = 2500;
        this.callback = null;
    }
}
exports.SvgOptions = SvgOptions;
//# sourceMappingURL=SvgOptions.js.map