"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SvgColorMode = exports.RotateFlipType = exports.PngFilterType = exports.PngColorType = exports.JpegCompressionMode = exports.JpegCompressionColorMode = exports.Jpeg2000Codec = exports.FileFormat = exports.DxfOutputVersion = exports.DxfFileFormat = exports.CompressionMethod = exports.ColorModes = exports.BitmapCompression = exports.WmfOptions = exports.TiffOptions = exports.SvgOptions = exports.PsdOptions = exports.PngOptions = exports.PdfOptions = exports.ObjOptions = exports.JpegOptions = exports.Jpeg2000Options = exports.ImageOptionsBase = exports.GifOptions = exports.DxfOptions = exports.DwfOptions = exports.BmpOptions = exports.SvgResourceKeeperCallback = exports.SafeHandle = exports.ResolutionSetting = exports.PdfDocumentInfo = exports.ColorPalette = exports.CancellationToken = exports.Image = exports.Color = void 0;
var Color_js_1 = require("./Core/Color.js");
Object.defineProperty(exports, "Color", { enumerable: true, get: function () { return Color_js_1.Color; } });
var Image_js_1 = require("./Core/Image.js");
Object.defineProperty(exports, "Image", { enumerable: true, get: function () { return Image_js_1.Image; } });
var CancellationToken_js_1 = require("./Core/CancellationToken.js");
Object.defineProperty(exports, "CancellationToken", { enumerable: true, get: function () { return CancellationToken_js_1.CancellationToken; } });
var ColorPalette_js_1 = require("./Core/ColorPalette.js");
Object.defineProperty(exports, "ColorPalette", { enumerable: true, get: function () { return ColorPalette_js_1.ColorPalette; } });
var PdfDocumentInfo_js_1 = require("./Core/PdfDocumentInfo.js");
Object.defineProperty(exports, "PdfDocumentInfo", { enumerable: true, get: function () { return PdfDocumentInfo_js_1.PdfDocumentInfo; } });
var ResolutionSetting_js_1 = require("./Core/ResolutionSetting.js");
Object.defineProperty(exports, "ResolutionSetting", { enumerable: true, get: function () { return ResolutionSetting_js_1.ResolutionSetting; } });
var SafeHandle_js_1 = require("./Core/SafeHandle.js");
Object.defineProperty(exports, "SafeHandle", { enumerable: true, get: function () { return SafeHandle_js_1.SafeHandle; } });
var SvgResourceKeeperCallback_js_1 = require("./Core/SvgResourceKeeperCallback.js");
Object.defineProperty(exports, "SvgResourceKeeperCallback", { enumerable: true, get: function () { return SvgResourceKeeperCallback_js_1.SvgResourceKeeperCallback; } });
var BmpOptions_js_1 = require("./Options/BmpOptions.js");
Object.defineProperty(exports, "BmpOptions", { enumerable: true, get: function () { return BmpOptions_js_1.BmpOptions; } });
var DwfOptions_js_1 = require("./Options/DwfOptions.js");
Object.defineProperty(exports, "DwfOptions", { enumerable: true, get: function () { return DwfOptions_js_1.DwfOptions; } });
var DxfOptions_js_1 = require("./Options/DxfOptions.js");
Object.defineProperty(exports, "DxfOptions", { enumerable: true, get: function () { return DxfOptions_js_1.DxfOptions; } });
var GifOptions_js_1 = require("./Options/GifOptions.js");
Object.defineProperty(exports, "GifOptions", { enumerable: true, get: function () { return GifOptions_js_1.GifOptions; } });
var ImageOptionsBase_js_1 = require("./Options/ImageOptionsBase.js");
Object.defineProperty(exports, "ImageOptionsBase", { enumerable: true, get: function () { return ImageOptionsBase_js_1.ImageOptionsBase; } });
var Jpeg2000Options_js_1 = require("./Options/Jpeg2000Options.js");
Object.defineProperty(exports, "Jpeg2000Options", { enumerable: true, get: function () { return Jpeg2000Options_js_1.Jpeg2000Options; } });
var JpegOptions_js_1 = require("./Options/JpegOptions.js");
Object.defineProperty(exports, "JpegOptions", { enumerable: true, get: function () { return JpegOptions_js_1.JpegOptions; } });
var ObjOptions_js_1 = require("./Options/ObjOptions.js");
Object.defineProperty(exports, "ObjOptions", { enumerable: true, get: function () { return ObjOptions_js_1.ObjOptions; } });
var PdfOptions_js_1 = require("./Options/PdfOptions.js");
Object.defineProperty(exports, "PdfOptions", { enumerable: true, get: function () { return PdfOptions_js_1.PdfOptions; } });
var PngOptions_js_1 = require("./Options/PngOptions.js");
Object.defineProperty(exports, "PngOptions", { enumerable: true, get: function () { return PngOptions_js_1.PngOptions; } });
var PsdOptions_js_1 = require("./Options/PsdOptions.js");
Object.defineProperty(exports, "PsdOptions", { enumerable: true, get: function () { return PsdOptions_js_1.PsdOptions; } });
var SvgOptions_js_1 = require("./Options/SvgOptions.js");
Object.defineProperty(exports, "SvgOptions", { enumerable: true, get: function () { return SvgOptions_js_1.SvgOptions; } });
var TiffOptions_js_1 = require("./Options/TiffOptions.js");
Object.defineProperty(exports, "TiffOptions", { enumerable: true, get: function () { return TiffOptions_js_1.TiffOptions; } });
var WmfOptions_js_1 = require("./Options/WmfOptions.js");
Object.defineProperty(exports, "WmfOptions", { enumerable: true, get: function () { return WmfOptions_js_1.WmfOptions; } });
var BitmapCompression_js_1 = require("./Enums/BitmapCompression.js");
Object.defineProperty(exports, "BitmapCompression", { enumerable: true, get: function () { return BitmapCompression_js_1.BitmapCompression; } });
var ColorModes_js_1 = require("./Enums/ColorModes.js");
Object.defineProperty(exports, "ColorModes", { enumerable: true, get: function () { return ColorModes_js_1.ColorModes; } });
var CompressionMethod_js_1 = require("./Enums/CompressionMethod.js");
Object.defineProperty(exports, "CompressionMethod", { enumerable: true, get: function () { return CompressionMethod_js_1.CompressionMethod; } });
var DxfFileFormat_js_1 = require("./Enums/DxfFileFormat.js");
Object.defineProperty(exports, "DxfFileFormat", { enumerable: true, get: function () { return DxfFileFormat_js_1.DxfFileFormat; } });
var DxfOutputVersion_js_1 = require("./Enums/DxfOutputVersion.js");
Object.defineProperty(exports, "DxfOutputVersion", { enumerable: true, get: function () { return DxfOutputVersion_js_1.DxfOutputVersion; } });
var FileFormat_js_1 = require("./Enums/FileFormat.js");
Object.defineProperty(exports, "FileFormat", { enumerable: true, get: function () { return FileFormat_js_1.FileFormat; } });
var Jpeg2000Codec_js_1 = require("./Enums/Jpeg2000Codec.js");
Object.defineProperty(exports, "Jpeg2000Codec", { enumerable: true, get: function () { return Jpeg2000Codec_js_1.Jpeg2000Codec; } });
var JpegCompressionColorMode_js_1 = require("./Enums/JpegCompressionColorMode.js");
Object.defineProperty(exports, "JpegCompressionColorMode", { enumerable: true, get: function () { return JpegCompressionColorMode_js_1.JpegCompressionColorMode; } });
var JpegCompressionMode_js_1 = require("./Enums/JpegCompressionMode.js");
Object.defineProperty(exports, "JpegCompressionMode", { enumerable: true, get: function () { return JpegCompressionMode_js_1.JpegCompressionMode; } });
var PngColorType_js_1 = require("./Enums/PngColorType.js");
Object.defineProperty(exports, "PngColorType", { enumerable: true, get: function () { return PngColorType_js_1.PngColorType; } });
var PngFilterType_js_1 = require("./Enums/PngFilterType.js");
Object.defineProperty(exports, "PngFilterType", { enumerable: true, get: function () { return PngFilterType_js_1.PngFilterType; } });
var RotateFlipType_js_1 = require("./Enums/RotateFlipType.js");
Object.defineProperty(exports, "RotateFlipType", { enumerable: true, get: function () { return RotateFlipType_js_1.RotateFlipType; } });
var SvgColorMode_js_1 = require("./Enums/SvgColorMode.js");
Object.defineProperty(exports, "SvgColorMode", { enumerable: true, get: function () { return SvgColorMode_js_1.SvgColorMode; } });
await (globalThis.__AsposeCadInit = function (global) {
    return __awaiter(this, void 0, void 0, function* () {
        console.log("loading WASM (TS)...");
        yield global.dotnet.boot();
        console.log("loaded WASM (TS)");
    });
})(globalThis);
//# sourceMappingURL=index.js.map